#include <FileStoreI.h>

class FileServer : virtual public Ice::Application
{
  virtual int run(int argc, char *argv[]){

    Ice::ObjectAdapterPtr adapter = communicator()->createObjectAdapter("FileAdapter");
    adapter->add(new FileStoreI(), communicator()->stringToIdentity("Store"));
    adapter->activate();
    cout << "Activating object adapter" << endl;

    communicator()->waitForShutdown();
  }
};

int main(int argc, char *argv[]){
  FileServer server;
  return server.main(argc, argv);
}
