#include <FileStoreI.h>

FileStoreI::FileStoreI()
{
}

FileStoreI::~FileStoreI()
{
}

::Yafridng::FilePrx
FileStoreI::read(const ::std::string& name,
		 ::Ice::Int num,
		 ::Ice::Int offset,
		 const ::Ice::Current& current)
{
  int size = getFileSize(name);
  FILE* fp = fopen(name.c_str(), "rb");

  if (fp == 0) {
    FileAccessException ex;
    cout << "Exception" << endl;
    ex.reason = "cannot open '" + name + "' for reading: " + strerror(errno);
    throw ex;
  }

  fseek(fp, offset, SEEK_SET);
  cout << "Opening File" << endl;
  return FilePrx::uncheckedCast(current.adapter->addWithUUID(new FileI(fp, num, size)));
}

int FileStoreI::getFileSize(string file){
  FILE *fp;
  int size;
  if((fp = fopen(file.c_str(), "rb")) == NULL){
    cout << "Error Opening the file " << file << endl;
    exit(1);
  }
  fseek(fp, 0, SEEK_END);
  size = ftell(fp);
  fclose(fp);
  return size;
}
